'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.decode = exports.encode = undefined;

var _sassToJson = require('./lib/sass-to-json');

var _sassToJson2 = _interopRequireDefault(_sassToJson);

var _jsonToSass = require('./lib/json-to-sass');

var _jsonToSass2 = _interopRequireDefault(_jsonToSass);

var _nodeSass = require('node-sass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function encode(value, quotes) {
    var shouldQuote = quotes.getValue();
    var resolvedValue = JSON.stringify((0, _sassToJson2.default)(value, {
        precision: this.options.precision
    }));

    if (shouldQuote) {
        resolvedValue = '\'' + resolvedValue + '\'';
    }

    return new _nodeSass.types.String(resolvedValue);
}

function decode(value) {
    var resolvedValue = {};

    try {
        resolvedValue = JSON.parse(value.getValue());
    } catch (error) {
        // eslint-disable-line no-unused-vars
        resolvedValue = null;
    }

    return (0, _jsonToSass2.default)(resolvedValue);
}

exports.encode = encode;
exports.decode = decode;
exports.default = {
    'json-decode($value)': decode,
    'json-encode($value, $quotes: true)': encode
};